//
//  Profile.h
//  ProfileViewer
//
//  Created by Ken Anderson on 11/2/11.
//  Copyright (c) 2011 University of Colorado, Boulder. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Profile : NSObject <NSCoding>

@property (nonatomic, strong) NSString* firstName;
@property (nonatomic, strong) NSString* lastName;
@property (nonatomic, strong) NSString* email;
@property (nonatomic, strong) UIImage* image;

- (id) initWithFirstName:(NSString*)first LastName:(NSString*)last Email:(NSString*)email;

+ (id) randomProfile;

- (NSString*) fullName;

@end
